# Enum Class CLNChannelSemantic

java.lang.Object
java.lang.Enum<CLNChannelSemantic>
com.io7m.calino.api.CLNChannelSemantic

All Implemented Interfaces:
  `CLNDescribableType, Serializable, Comparable<CLNChannelSemantic>, Constable`

public enum CLNChannelSemantic extends Enum<CLNChannelSemantic> implements CLNDescribableType
The semantic of a channel within an image.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALPHA`
  The channel represents alpha opacity.
  `BLUE`
  The channel represents data on the blue axis of an R(GB) image.
  `DEPTH`
  The channel represents depth values.
  `EXPONENT`
  The channel represents exponent values.
  `GREEN`
  The channel represents data on the green axis of an R(GB) image.
  `RED`
  The channel represents data on the red axis of an R(GB) image.
  `STENCIL`
  The channel represents stencil values.
  `UNUSED`
  The channel represents unused values.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CLNChannelSemantic`
  `of(String descriptor)`
  Parse the channel semantic from the given channel descriptor.
  `static CLNChannelSemantic`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CLNChannelSemantic[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface CLNDescribableType

  `descriptor`

- ## Enum Constant Details

  - ### RED

    public static final CLNChannelSemantic RED
    The channel represents data on the red axis of an R(GB) image.

  - ### GREEN

    public static final CLNChannelSemantic GREEN
    The channel represents data on the green axis of an R(GB) image.

  - ### BLUE

    public static final CLNChannelSemantic BLUE
    The channel represents data on the blue axis of an R(GB) image.

  - ### ALPHA

    public static final CLNChannelSemantic ALPHA
    The channel represents alpha opacity.

  - ### DEPTH

    public static final CLNChannelSemantic DEPTH
    The channel represents depth values.

  - ### STENCIL

    public static final CLNChannelSemantic STENCIL
    The channel represents stencil values.

  - ### UNUSED

    public static final CLNChannelSemantic UNUSED
    The channel represents unused values.

  - ### EXPONENT

    public static final CLNChannelSemantic EXPONENT
    The channel represents exponent values.

- ## Method Details

  - ### values

    public static CLNChannelSemantic[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CLNChannelSemantic valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### of

    public static CLNChannelSemantic of(String descriptor) throws ParseException
    Parse the channel semantic from the given channel descriptor.
    Parameters:
      `descriptor` - The descriptor
    Returns:
      The channel semantic
    Throws:
      `ParseException` - On parse errors